LINUX.ORG.RU
ФорумAdmin

archlinux маскировка пакетов


0

1

существует ли в арче такая штука, как в дженте - маскировка пакетов?
конкретно - сейчас все пакеты, которые просят python, просят python3, а он мне нахер не упал, чтоже делать?

пакеты которые просят python работают с python3, остальные просят python2.

anonymous ()

>чтоже делать?

подумать над своим поведением, а конкретно - над переходом с генты на это убогое недоподелие

anonymous ()

если хочется поизвращаться, можно взять пкгбилды всех интересующих пакетов, поправить зависимости и собрать вручную Будет как в генте. Только зачем?

silw ★★★★★ ()
Ответ на: комментарий от tensai_cirno

во всех дистрах есть процедура удерживания пакета от обновления. не может быть чтобы у арча не было. у меня ынтерпрайс разработка на второй версии, нахер мне третья? багтестером работать?

nbdarvin ()
Ответ на: комментарий от nbdarvin

> у меня ынтерпрайс разработка на второй версии

archlinux


Лоло. По теме, в этом убогом дистрибутиве нельзя несколько версий одновременно держать?

tensai_cirno ★★★★★ ()

>сейчас все пакеты, которые просят python, просят python3

ORLY?

$ pacman -Qi python2 |grep 'Требуется пакетами' |wc -w
38

$ pacman -Qi python |grep 'Требуется пакетами' |wc -w
4

anon_666 ()
Ответ на: комментарий от alix

Ага, и все новые пакеты, зависящие от python2 не установятся.

anon_666 ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.